Name: python-module-pygnome-extras
Version: 2.10.0
Release: alt2

Summary: Set of extra bindings for the GNOME2 platform library

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-python-extras/2.10/gnome-python-extras-%version.tar.bz2

%setup_python_module pygnome

%define bname python-module-pygnome
%define python_gnome_dir %python_sitelibdir/gtk-2.0/gnome

# manually removed: eric gcc-g77 hostinfo ?? xorg-x11-libs 
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: ORBit2-devel fontconfig freetype2 gcc-c++ glib2-devel gnome-libs-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgdbm-devel libgdl-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libgtkhtml2-devel libgtksourceview-devel libgtkspell-devel libgtop2-devel libpango-devel libpopt-devel librsvg2-devel libstdc++-devel libwnck-devel libxml2-devel mozilla-devel pkgconfig python-base python-dev python-module-pygnome-devel python-module-pygtk-devel python-modules-compiler python-modules-encodings xorg-x11-devel zlib-devel

%description
This package is a set of extra bindings for the Gnome platform
libraries called PyGNOME.  It builds on top of the PyGTK bindings for GTK and
the PyORBit bindings for ORBit2.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package devel
Version: %version
Summary: files needed to build extra wrappers for GNOME libraries
Group: Development/Python
Requires: %name = %version-%release

%description devel
This package contains files required to build wrappers for GNOME
libraries so that they interoperate with pygnome.

%package -n %bname-applet
Summary: Python bindings for GNOME Panel applets
Group: Development/Python
Obsoletes: pygnome-applet
Obsoletes: gnome-python2-applet
Provides: gnome-python2-applet
Requires: %name = %version-%release

%description -n %bname-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n %bname-gtkhtml2
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-gtkhtml2
Provides: gnome-python2-gtkhtml2

%description -n %bname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via Python.

%package -n %bname-gtksourceview
Summary: Python bindings for interacting with gtksourceview
Group: Development/Python
Requires: %name = %version-%release
Requires: %bname-gnomeprint = %version-%release

%description -n %bname-gtksourceview
This module contains a wrapper that allows the use of gtksourceview via Python.

%package -n %bname-gnomeprint
Version: %version
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Python
Requires: libgnomeprint2, libgnomeprintui
Requires: %name = %version-%release
Obsoletes: gnome-python2-gnomeprint
Provides: gnome-python2-gnomeprint

%description -n %bname-gnomeprint
This module contains a wrapper that allows the user of libgnomeprint via Python.

%package -n %bname-gtkmozembed
Summary: Python bindings for interacting with gtkmozembed
Group: Development/Python
Requires: %name = %version-%release

%description -n %bname-gtkmozembed
This module contains a wrapper that allows the use of gtkmozembed via Python

%prep
%setup -q -n gnome-python-extras-%version

%build
%configure
%make_build

%install
%makeinstall
%__rm -f %buildroot%python_sitelibdir/gtk-2.0/*.la
%files
%doc AUTHORS ChangeLog README NEWS
%python_sitelibdir/gtk-2.0/egg
%python_sitelibdir/gtk-2.0/wnck.so
%python_sitelibdir/gtk-2.0/gdl.so
%python_sitelibdir/gtk-2.0/gtkspell.so
%python_sitelibdir/gtk-2.0/gtop.so
											
%files devel
%doc examples/*
%_libdir/pkgconfig/*
%_datadir/pygtk/2.0/defs/*.defs

%files -n %bname-applet
%python_gnome_dir/applet.*
%python_sitelibdir/gtk-2.0/gnomeapplet.so

%files -n %bname-gtkhtml2
%python_sitelibdir/gtk-2.0/gtkhtml*

%files -n %bname-gtksourceview
%python_sitelibdir/gtk-2.0/gtksourceview.so

%files -n %bname-gnomeprint
%python_sitelibdir/gtk-2.0/gnomeprint

%files -n %bname-gtkmozembed
%python_sitelibdir/gtk-2.0/gtkmozembed.so

%changelog
* Sun Apr 10 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt2
- add require for gnomeprint in gtksourceview (fix bug #6442)

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version
- build with python 2.4

* Mon Jan 24 2005 Vitaly Lipatov <lav@altlinux.ru> 2.9.4-alt1
- new version

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt2
- move gtksourceview to separate subpackage (fix bug #5693)

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt1.1
- remove version setting from subpackages
- set python-module-pygnome as prefix for subpackages name

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt1
- first build for ALT Linux Sisyphus
